namespace XGame.Framework.Map
{
    /// <summary>
    /// 地图逻辑控制接口
    /// 有刷新需求的需要实现IUpdate或者ILateUpdate
    /// </summary>
    public interface IEntityController
    {
        /// <summary>
        /// 激活回调事件
        /// </summary>
        /// <param name="intent">透传参数</param>
        void OnEnable(object intent);
        void OnDisable();
    }
}